from infi.pyutils import patch
from gevent.local import local


local = local()


def set_esx_host_in_local_storage(esx_host):
    local.get_os_hostname = lambda: esx_host.summary.config.name
    local.get_os_system = lambda: esx_host.summary.config.product.name
    local.get_os_platform = lambda: esx_host.summary.config.product.fullName

def patch_all():
    from infi.vendata.vmware_powertools.__version__ import __version__
    from infi.vendata.powertools.utils import queries
    from infi.vendata.powertools.gui.webapp.plugin.views.host import registration
    from infi.vendata.powertools.rescan import engine
    patch.monkey_patch(queries, "get_powertools_version", lambda: __version__)
    patch.monkey_patch(queries, "get_os_hostname", lambda: local.get_os_hostname())
    patch.monkey_patch(queries, "get_os_system", lambda: local.get_os_system())
    patch.monkey_patch(queries, "get_os_platform", lambda: local.get_os_platform())
    patch.monkey_patch(registration, "refresh_storage_model", lambda: None)
    patch.monkey_patch(engine, "clear_unit_attention_from_infinidat_storage_controllers", lambda: None)
