from .create import CreateSnapshotOperation


class RegisterSnapshotOperation(CreateSnapshotOperation):
    def __init__(self, requesting_object, vm_list, snapshot_id):
        super(RegisterSnapshotOperation, self).__init__(requesting_object, vm_list, '', '', True, False)
        self._snapshot_id = snapshot_id

    def register(self):
        return self.create()

    def _take_vm_snapshots(self, vm_list):
        pass

    def _create_infinidat_snapshot(self, vendor_data):
        from infi.vendata.vmware_powertools.utils import get_system_object_by_device_vendor
        infinisdk_system = get_system_object_by_device_vendor(vendor_data)
        infinisdk_snapshot = infinisdk_system.volumes.get(id=int(self._snapshot_id))
        return infinisdk_snapshot
