from ..resource import PluginResource
from .host import Host
from .cluster import Cluster
from .virtualmachine import VirtualMachine
from .folder import Folder
from .datastore import Datastore
from .auth import Auth

class Views(PluginResource):
    auth = Auth()
    host = Host()
    cluster = Cluster()
    virtualmachine = VirtualMachine()
    datastore = Datastore()
    folder = Folder()
