<%inherit file="base_html.mako"/>

<%block name="head">

    ${parent.head()}

    <link type="text/css" href="/static/css/reset.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/vmware/css/view.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/vmware/css/logs.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/collect_logs.css?_=${timestamp}" rel="stylesheet" />

    <script type="text/javascript" src="/static/js/external/jquery.js?_=${timestamp}"></script>

    <script>
        function set_frame_source() {
            document.getElementById("download-iframe").src = window.location.href + "&download=1";
        }
        document.addEventListener('DOMContentLoaded', set_frame_source, false);
    </script>

</%block>

<div class="header">
    <span class="right">
        <a class="btn btn-blue" href="javascript:history.back()">Back</a>
        <img class="separator" src="/static/images/header-separator.png" />
        <img class="slogan" src="/static/images/header-slogan.png" />
    </span>
    <span class="left">
    </span>
</div>

<div id="redirect-ajax-loader">
    <h1>Collecting Logs</h1>
    <h2>This may take a few minutes</h2>
    <img src="/static/images/connecting.gif" width="397" height="298">
    <h2>Go back when the download is finished</h2>
</div>
<iframe id="download-iframe" style="display: none;"></iframe>
