<%page args="entity_name"/>

<div class="actions">
    <a class="actions-button">
        <span class="txt"></span>
        <span class="ar">&#9660;</span>
    </a>
    <div class="actions-menu">
        <ul>
            <li><a class="action-button action-button-reload" id="reload">Refresh Page</a></li>
            % if entity_name == 'host' or entity_name == 'cluster':
                <li><a class="action-button action-button-rescan" onclick="operations.rescan(); return false;">Rescan All</a></li>
                <li><a class="action-button action-button-readiness" onclick="readiness.check_if_ready(false); return false;">Check ${entity_name.title()} Readiness</a></li>
            % endif
            <li><a class="action-button action-button-show-logs" onclick="vmware_view.showLogs(); return false;">View Log File</a></li>
            <li><a class="action-button action-button-collect-logs" onclick="vmware_view.collectLogs(); return false;">Collect Diagnostics</a>
            % if entity_name == 'host' or entity_name == 'cluster':
                <li><a class="action-button action-button-reset-creds" onclick="auth.reset_credentials(); return false;">Reset Credentials</a>
            % endif
            <li><a class="action-button action-button-about" onclick="view.showAbout(); return false;">About</a></li>
        </ul>
    </div>
</div>
