from threading import local as Local  # monkey-patched by gevent
from logging import getLogger
logger = getLogger(__name__)
_local_thread_data = Local()


def set_handler(handler):
    _local_thread_data.handler = handler


def get_handler():
    return _local_thread_data.handler


def get_request():
    return _local_thread_data.handler.request


def get_session():
    return getattr(_local_thread_data, "session", None)


def set_session(session):
    _local_thread_data.session = session
