from mako.lookup import TemplateLookup
from .. import TEMPLATE_PATHS

def error_page(status, message, traceback, version):
    template_lookup = TemplateLookup(directories=TEMPLATE_PATHS)
    return template_lookup.get_template('error.mako').render(status=str(status),
                                                             message=str(message),
                                                             traceback=str(traceback))
