<%inherit file="base_page.mako"/>

<%block name="body_class">cluster_page</%block>

<%block name="head">

    ${parent.head()}

    <script src="/static/vmware/js/host-and-cluster.js?_=${timestamp}"></script>
    <script type="text/javascript">
        var sources = ${sources};
        var entity_name = 'cluster';
        jQuery(document).ready(hostCluster.getCallbackOnLoad(sources));
    </script>

</%block>

<div class="header">
    <span class="right">
        <img class="separator" src="/static/images/header-separator.png" />
        <img class="slogan" src="/static/images/header-slogan.png" />
        <%include file="page_actions.mako" args="entity_name='cluster'"/>
    </span>
    <span class="left">
        <img class="icon" src="/static/vmware/images/cluster-icon.png" />
        <span class="moref">${clustername}</span>
    </span>
</div>

<%include file="inventory.mako" args="infiniboxes=infiniboxes, entity_name='cluster', empty_message='There is no InfiniBox that is connected to all cluster nodes'"/>
<%include file="readiness.mako" args="entity_name='cluster'"/>
<%include file="create_vol_modal.mako"/>
<%include file="map_vol_modal.mako"/>
<%include file="auth_modal.mako"/>
<%include file="actions_modal.mako"/>
<%include file="datastore_actions.mako"/>
<%include file="resize_modal.mako"/>
<%include file="rename_modal.mako"/>
