<div class="modal" id="create-vol-modal" style="display: none" title="CREATE VOLUME">
    <div class="modal-inner-table">

        <img id="create-vol-modal-icon" src="/static/images/volume-icon.png">

        <table class="form-table">
            <tr>
                <td><label for="vol-modal-vol-name">VOLUME NAME</label></td>
                <td><input class="modal-input" type="text" id="vol-modal-vol-name" spellcheck="false" autocomplete="off" maxlength="65"></td>
            </tr>
            <tr>
                <td><label for="vol-modal-size-text">SIZE</label></td>
                <td>
                    <input class="modal-input" type="text" id="vol-modal-size-text" spellcheck="false" autocomplete="off" maxlength="8">
                    <select class="modal-input" id="vol-modal-size-unit">
                        <option>GB</option>
                        <option>TB</option>
                    </select>
                    <span id="capacity-tooltip" class="tooltip-icon"></span>
                    <div id="vol-modal-thickthin-cover">
                        <input type="checkbox" id="vol-modal-thickthin">
                        <label for="vol-modal-thickthin">THIN</label>
                    </div>
                </td>
            </tr>
            <tr id="vol-modal-pool-row">
                <td><label for="vol-modal-select-pool">POOL</label></td>
                <td><select class="modal-input" id="vol-modal-select-pool"></select></td>
            </tr>
            <tr id="vol-modal-capacity-row">
                <td>&nbsp;</td>
                <td><div id="vol-modal-pool-capacity">&nbsp;</div></td>
            </tr>
            <tr id="vol-modal-create-count-row">
                <td><label for="vol-modal-count">VOLUME COUNT</label></td>
                <td><input class="modal-input" id="vol-modal-count" type="text" maxlength="2" value="1"></input></td>
            </tr>
            <tr id="vol-modal-create-fs-row">
                <td colspan="2">
                    <input type="checkbox" id="vol-modal-create-fs" checked="true">
                    <label for="vol-modal-create-fs">CREATE DATASTORE</label>
                </td>
            </tr>
            <tr id="vol-modal-set-device-name-row">
                <td colspan="2">
                    <input type="checkbox" id="vol-modal-set-device-name" checked="true">
                    <label for="vol-modal-set-device-name">SET DEVICE NAME TO VOLUME NAME</label>
                </td>
            </tr>
        </table>

        <input type="hidden" id="vol-modal-serial">
        <input type="hidden" id="vol-modal-mnt-text">       <!-- Required because powertools' js reads this -->

    </div>
</div>
