<%inherit file="base_page.mako"/>

<%block name="body_class">folder_page</%block>

<%block name="head">

    ${parent.head()}

    <script src="/static/vmware/js/datastore-and-folder.js?_=${timestamp}"></script>
    <script type="text/javascript">
        var sources = ${sources};
        jQuery(document).ready(datastoreFolder.getCallbackOnLoad(sources));
    </script>

</%block>

<div class="header folder-header">
    <span class="right">
        <a class="btn btn-blue create_snapshot_popup" style="display: none" href="#">Snapshot</a>
        <img class="separator" src="/static/images/header-separator.png" />
        <img class="slogan" src="/static/images/header-slogan.png" />
        <%include file="page_actions.mako" args="entity_name='folder'"/>
    </span>
    <span class="left">
        <img class="icon" src="/static/images/icon-folder.png" />
        <span class="moref">${foldername}</span>
    </span>
</div>
<div id="inventory">
    <table id="vmtable" class="vm-table infinibox table"><thead></thead><tbody></tbody></table>
</div>

<%include file="snapshot_modal.mako"/>
<%include file="auth_modal.mako"/>
